Subject: Re: Git in GSoC 2025

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 27 Jan 2025 09:06:36 +0100

On Mon, Jan 27, 2025 at 12:19:26PM +0530, Kaartic Sivaraam wrote:
> Hi Patrick, Christian, Karthik and Jialuo,
> 
> Thank you very much for your interest in volunteering as a mentor!
> 
> On Mon, Jan 20, 2025 at 12:37 PM Patrick Steinhardt <[email-masked]> wrote:
> 
> > I'd be happy to mentor this year again. A couple of ideas:
> >
> >
> Thank you for suggesting these ideas, Patrick! I've incorporated them into
> a draft
> ideas page for now. You can see them here:
> 
> https://git.github.io/SoC-2025-Ideas/

Great, thanks a lot!

> Kindly suggest any corrections to the description, project size /
> difficulty as necessary.
> I've mentioned potential mentors based on what I'm aware of so far.
> 
> Patrick, Christian and Karthik, kindly mention the ideas that you're
> interested to
> mentor.
> 
> While I have not included them as of yet, I wonder if the following ideas
> which we
> had last year[1] could still be retained this year:
> 
> - Implement consistency checks for refs. The idea could be about
>    implementing further ref checks which Jialuo appears to be helping
>    out with. We could leave it if Jialuo prefers to continue working on
>    the same in a flow.

The biggest omission right now is the reftable backend, but that one I
plan to work on myself in this release cycle.

I'll leave it to Jialuo to decide whether there's anything else in this
context that would make for a good GSoC project, as he's been the
primary driving force here.

> - Refactor git-bisect(1) to make its state self-contained

I'd rather remove that project. It would be nice to have it, but it
feels too risky for a GSoC project, and we have better ones.

> - Implement support for reftables in "dumb" HTTP transport

I'd be fine mentoring this project.

Patrick